Subject: Re: [PATCH RFC net-next v4 3/4] net: mdio: add unlocked mdiodev C45 bus accessors

From: Daniel Golle <[email-masked]>
Date: Tue, 6 Jan 2026 22:36:09 +0000

On Tue, Jan 06, 2026 at 05:53:29PM +0000, Russell King (Oracle) wrote:
> On Tue, Jan 06, 2026 at 05:14:57PM +0000, Daniel Golle wrote:
> > +static inline int __mdiodev_c45_write(struct mdio_device *mdiodev, u32 devad,
> > +				      u16 regnum, u16 val)
> > +{
> > +	return __mdiobus_c45_write(mdiodev->bus, mdiodev->addr, devad, regnum,
> > +				 val);
> 
> Something doesn't look right here - missing a couple of spaces to
> correctly align? I suspect checkpatch would spot it?

Somehow those two spaces got dropped somewhere on the way. Strangely
neither checkpatch.pl locally nor on patchwork[1] caught that -- maybe
because 'return' statements are somehow treated differently?

Anyway, fixed in my local tree now and going to be fixed in v5.

Are you otherwise fine with adding those unlocked mdiodev c45 helpers?

[1]: https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/